com.google.gwt.dom.builder.client

## Class DomImageBuilder

- java.lang.Object
- - com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
  - - com.google.gwt.dom.builder.client.DomElementBuilderBase<ImageBuilder,ImageElement>
    - - com.google.gwt.dom.builder.client.DomImageBuilder

All Implemented Interfaces:
  ElementBuilderBase<ImageBuilder>, ImageBuilder

    public class DomImageBuilder
    extends DomElementBuilderBase<ImageBuilder,ImageElement>
    implements ImageBuilder

DOM-based implementation of `ImageBuilder`.

### Constructor Summary

Constructors
Constructor and Description
`DomImageBuilder(DomBuilderImpl delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ImageBuilder` `alt(java.lang.String alt)` Alternate text for user agents not rendering the normal content of this element.
`ImageBuilder` `height(int height)` Height of the image in pixels.
`ImageBuilder` `isMap()` Use server-side image map.
`ImageBuilder` `src(java.lang.String src)` URI designating the source of this image.
`ImageBuilder` `width(int width)` The width of the image in pixels.

### Methods inherited from class com.google.gwt.dom.builder.client.DomElementBuilderBase

`assertCanAddAttribute, attribute, attribute, className, dir, draggable, getDelegate, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, tabIndex, title, trustedStart`

### Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, html, isChildElementSupported, isEndTagForbidden, style, text`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

### Constructor Detail

#### DomImageBuilder

    DomImageBuilder(DomBuilderImpl delegate)

### Method Detail

#### alt

    public ImageBuilder alt(java.lang.String alt)

Description copied from interface: `ImageBuilder`
Alternate text for user agents not rendering the normal content of this element.

Specified by:
  `alt` in interface `ImageBuilder`
See Also:
  W3C HTML Specification

#### height

    public ImageBuilder height(int height)

Description copied from interface: `ImageBuilder`
Height of the image in pixels.

Specified by:
  `height` in interface `ImageBuilder`
See Also:
  W3C HTML Specification

#### isMap

    public ImageBuilder isMap()

Description copied from interface: `ImageBuilder`
Use server-side image map.

Specified by:
  `isMap` in interface `ImageBuilder`
See Also:
  W3C HTML Specification

#### src

    public ImageBuilder src(java.lang.String src)

Description copied from interface: `ImageBuilder`
URI designating the source of this image.

Specified by:
  `src` in interface `ImageBuilder`
See Also:
  W3C HTML Specification

#### width

    public ImageBuilder width(int width)

Description copied from interface: `ImageBuilder`
The width of the image in pixels.

Specified by:
  `width` in interface `ImageBuilder`
See Also:
  W3C HTML Specification